var nbclick = 0;

var blink_enabled = 0;
var blink_count = 8;
var blink_color = '#99cf16';

var blink_cur_count = blink_count;
var blink_field;

function highlight_on(field) {
  field.style.background = blink_color;
}

function highlight_off(field) {
  field.style.background = 'transparent';
}

function highlight_field() {
  if (!blink_field) {
    return;
  }
  
  if (blink_cur_count) {
    if (blink_cur_count % 2) {
      highlight_off(blink_field);
    } else {
      highlight_on(blink_field);
    }
    window.setTimeout("highlight_field()", 80);
    blink_cur_count--;
  } else {
    blink_cur_count = blink_count;
    blink_field = 0;
  }
}

function alarm(field, err_msg) {
  field.focus();
  alert(err_msg);
  
  /* On fait clignoter le champ */
  if (blink_enabled) {
    blink_field = field;
    highlight_field();
  }
  
  nbclick = 0;
}

function field_is_present(field_id) {
  if (eval("document.forms[0]." + field_id)) {
    return true;
  } else {
    return false;
  }
}

function field_is_empty_radio(field_id) 
{
  if (eval("document.forms[0]." + field_id + ".checked")) {
    return false;
  } else {
    return true;
  }
}

function field_is_not_valid(regexp, err_msg, field_id, input_type) {
  var field = eval("document.forms[0]." + field_id);
  if (!field) {
    return false;
  }
  
  var value = "";
  if (input_type == "select") {
    value = field.options[field.selectedIndex].text;
  } else {
    value = field.value;
  }
  
  if (value.length == 0) {
    return false;
  }
  
  if (!value.match(regexp)) {
    alarm(field, err_msg);
    return true;
  } else {
    return false;
  }
}

function field_is_unacceptable(regexp, err_msg, field_id, input_type) {
  var field = eval("document.forms[0]." + field_id);
  if (!field) {
    return false;
  }
  
  var value = "";
  if (input_type == "select") {
    value = field.options[field.selectedIndex].text;
  } else {
    value = field.value;
  }
  
  if (value.length == 0) {
    return false;
  }
  
  if (value.match(regexp)) {
    alarm(field, err_msg);
    return true;
  } else {
    return false;
  }
}

function alert_field_is_empty_radio(err_msg, field_id) 
{
  var field = eval("document.forms[0]." + field_id);
  if (!field) {
    return;
  }
  
  alarm(field, err_msg);
}

function field_is_empty(err_msg, field_id) {
  var string;
  var error_occured = false;
  
  var field = eval("document.forms[0]." + field_id);
  if (!field) {
    return false;
  }
  
  if (field_id == "civilite" ||
      field_id == "adressecomp" ||
      field_id == "adressetype") {
    string = field.options[field.selectedIndex].text;
    error_occured = (string.length == 0);
  } else {
    string = field.value;
    error_occured = ((string == null) || (string.length == 0));
  }
  
  if (error_occured) {
    alarm(field, err_msg);
    return true;
  } else {
    return false;
  }
}

function submit_form() {
  nbclick++;
  if (nbclick == 1) {
    document.forms[0].submit();
  }
}
